Subject: Re: [alpine-aports] [PATCH] testing/nodejs-stable: new aport

From: Natanael Copa <[email-masked]>
Date: Mon, 11 Apr 2016 17:59:49 +0200

On Mon, 11 Apr 2016 02:21:38 -0400
Jose-Luis Rivas <[email-masked]> wrote:

> On 11/04/16, 03:32pm, Natanael Copa wrote:
> > On Wed, 9 Mar 2016 16:24:46 -0500
> > Jose-Luis Rivas <[email-masked]> wrote:
> >   
> > > On 09/03/16, 04:52pm, S?ren Tempel wrote:  
> > > > On 29.02.16, Jose-Luis Rivas wrote:    
> > > > > We have the LTS release on main/nodejs and the new features are being
> > > > > added to the stable release which is at v5.7.0 (vs v4.3.1 for LTS).
> > > > > 
> > > > > There's a replace against nodejs so there's no conflicts when someone
> > > > > tries to install them together.    
> > > > 
> > > > Do we really want to maintain two different versions of nodejs?
> > > > Personally I don't think that it is a good idea to maintain both the
> > > > newest and the LTS version of a software in the official repositories.
> > > > The only package that I know of where we do this currently is firefox
> > > > and I don't think that it has worked very well in the past with firefox.
> > > >     
> > > 
> > > They do differ quite a lot and most production units are using
> > > nodejs-lts (the one we have already as plain nodejs) yet the newer
> > > features are being added to nodejs-stable. While some things may fail on
> > > nodejs-stable everything will work on nodejs-lts.
> > > 
> > > That's the reason why I see having the two versions of it would be
> > > useful. nodejs-stable is not necessarily the newest, since lts keeps
> > > getting updates, but not new features. (Yet, newer releases tend to be
> > > synced between both versions)
> > >   
> > 
> > I think I am ok with maintaining both. I wonder if we want call them
> > 'nodejs' and 'nodejs-stable' though. If i would see those variants I
> > would believe that nodejs-stable would be the mode suitable for
> > production, while in this case the lts is what you'd want for that.
> > 
> > Maybe we all them nodejs4 and nodejs5?
> > 
> > Other ideas?  
> 
> My reasoning for the name proposal: nodejs-stable moves way faster, and
> they use that name. There it may happen that nodejs v5.x.x could move to
> v6.x.x and still be the stable branch without v5.x.x moving to -lts.
> 
> I do actually maintain these packages on my private repos and I did name
> them nodejs-lts and nodejs (this one meaning the stable channel) but I
> don't know if that would be a good idea. (Maybe it is and I have the
> wrong vision about this).
> 
> My 2 cents.

I think that naming them nodejs and nodejs-lts makes more sense.

If you just want node to play around, you'd do `apk add nodejs` and
you'd gett the latest and greatest. (eg nodejs-stable)

If you are pushing something for production and know what you are
doing, you probably want -lts. Then you probably also do the needed
research to figure out that you want nodejs-lts.

I don't think it will cause any unexpected breakages. If you upgrade
from alpine 3.3 to 3.4 you can expect packages to do major upgrades.

Lets do nodejs and nodejs-lts.

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---